- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
qi::TypeImpl< char[I]> Class Template Reference

`#include <stringtypeinterface.hxx>`

## Public Types
using | Methods = DefaultTypeImplMethods< char[I], TypeByPointerPOD< char[I]>>
Public Types inherited from qi::StringTypeInterface
using | RawString = std::pair< char *, size_t >
using | Deleter = boost::function< void(const RawString &)>
using | ManagedRawString = std::pair< RawString, Deleter >

## Public Member Functions
void * | clone (void *src) override
| Allocate a storage and copy the value given as an argument. More...
void | destroy (void *ptr) override
| Free all resources of a storage. More...
ManagedRawString | get (void *storage) override
void | set (void **storage, const char *ptr, size_t sz) override
| Set the value of the string. More...
| _QI_BOUNCE_TYPE_METHODS_NOCLONE (Methods)
Public Member Functions inherited from qi::StringTypeInterface
std::string | getString (void *storage)
| Get a copy of the string value. More...
void | set (void **storage, const std::string &value)
| Set the value of the string. More...
TypeKind | kind () override
Public Member Functions inherited from qi::TypeInterface
virtual | ~TypeInterface ()=default
virtual const TypeInfo & | info ()=0
| Get the TypeInfo corresponding to this type. More...
virtual void * | initializeStorage (void *ptr=nullptr)=0
virtual void * | ptrFromStorage (void **)=0
virtual bool | less (void *a, void *b)=0
const char * | infoString ()
qi::Signature | signature (void *storage=nullptr, bool resolveDynamic=false)

## Additional Inherited Members
Static Public Member Functions inherited from qi::TypeInterface
static TypeInterface * | fromSignature (const qi::Signature &sig)

## Detailed Description

### template<int I>
class qi::TypeImpl< char[I]>

Definition at line 82 of file stringtypeinterface.hxx.

## Member Typedef Documentation

template<int I>

using qi::TypeImpl< char[I]>::Methods = DefaultTypeImplMethods<char[I], TypeByPointerPOD<char[I]>>

Definition at line 107 of file stringtypeinterface.hxx.

## Member Function Documentation

template<int I>

qi::TypeImpl< char[I]>::_QI_BOUNCE_TYPE_METHODS_NOCLONE | ( | Methods |  | ) |

template<int I>

void* qi::TypeImpl< char[I]>::clone | ( | void * |  | ) |
| inline override virtual

Allocate a storage and copy the value given as an argument.

Implements qi::TypeInterface.

Definition at line 85 of file stringtypeinterface.hxx.

template<int I>

void qi::TypeImpl< char[I]>::destroy | ( | void * |  | ) |
| inline override virtual

Free all resources of a storage.

Implements qi::TypeInterface.

Definition at line 91 of file stringtypeinterface.hxx.

template<int I>

ManagedRawString qi::TypeImpl< char[I]>::get | ( | void * | storage | ) |
| inline override virtual

Get the internal string representation as UTF-8. It may or may not be a copy.

Implements qi::StringTypeInterface.

Definition at line 95 of file stringtypeinterface.hxx.

template<int I>

void qi::TypeImpl< char[I]>::set | ( | void ** | storage,
|  | const char * | ptr,
|  | size_t | sz
| ) |  |
| inline override virtual

Set the value of the string.

Implements qi::StringTypeInterface.

Definition at line 100 of file stringtypeinterface.hxx.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/stringtypeinterface.hxx